stations

API: weather.gov:national-weather-service-api
Endpoint: /points/{latitude},{longitude}/stations
Response format: application/geo+json
Auth: unknown
Method: GET
Last Status: 200
Latency: 495ms

Description

Returns a list of observation stations for a given point

Parameters (2)

latitude (number, path, required)

Latitude

Constraints: {'minimum': -90, 'maximum': 90, 'multipleOf': 0.0001}

longitude (number, path, required)

Longitude

Constraints: {'minimum': -180, 'maximum': 180, 'multipleOf': 0.0001}

Examples (3)

Observation stations near New York City curl
curl 'https://api.weather.gov/points/40.7128,-74.0060/stations' \
  -H 'User-Agent: RobustAPI-Example'
import requests

resp = requests.get(
    "https://api.weather.gov/points/40.7128,-74.0060/stations",
    headers={
        'User-Agent': 'RobustAPI-Example',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("points/{latitude},{longitude}/stations")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/points/40.7128,-74.0060/stations", {
  headers: {
    "User-Agent": "RobustAPI-Example",
  },
});
const data = await resp.json();
Observation stations near Los Angeles curl
curl 'https://api.weather.gov/points/34.0522,-118.2437/stations' \
  -H 'User-Agent: RobustAPI-Example'
import requests

resp = requests.get(
    "https://api.weather.gov/points/34.0522,-118.2437/stations",
    headers={
        'User-Agent': 'RobustAPI-Example',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("points/{latitude},{longitude}/stations")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/points/34.0522,-118.2437/stations", {
  headers: {
    "User-Agent": "RobustAPI-Example",
  },
});
const data = await resp.json();
Observation stations near Chicago curl
curl 'https://api.weather.gov/points/41.8781,-87.6298/stations' \
  -H 'User-Agent: RobustAPI-Example'
import requests

resp = requests.get(
    "https://api.weather.gov/points/41.8781,-87.6298/stations",
    headers={
        'User-Agent': 'RobustAPI-Example',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("points/{latitude},{longitude}/stations")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/points/41.8781,-87.6298/stations", {
  headers: {
    "User-Agent": "RobustAPI-Example",
  },
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-04 06:21:59.299778 200 495ms
2026-04-04 02:35:41.714661 200 400ms
2026-04-04 02:19:51.473863 200 1381ms
2026-04-03 14:50:22.671989 200 217ms
2026-04-03 13:54:19.672451 200 558ms
2026-04-03 12:44:25.199427 200 395ms
2026-03-30 07:19:17.836765 200 386ms
2026-03-30 06:17:01.043592 200 345ms
2026-03-30 03:23:27.496775 200 652ms
2026-03-29 15:21:54.009075 200 397ms
2026-03-29 14:34:24.713735 200 348ms
2026-03-29 13:45:38.156150 200 1284ms
2026-03-23 09:49:28.476380 200 995ms
2026-03-23 01:49:26.378554 200 616ms
2026-03-22 21:41:31.124217 200 241ms